MagickCore: _Image Struct Reference

# _Image Struct Reference

`#include <image.h>`

## Data Fields
ClassType | storage_class
ColorspaceType | colorspace
CompressionType | compression
unsigned long | quality
OrientationType | orientation
MagickBooleanType | taint
MagickBooleanType | matte
unsigned long | columns
unsigned long | rows
unsigned long | depth
unsigned long | colors
PixelPacket * | colormap
PixelPacket | background_color
PixelPacket | border_color
PixelPacket | matte_color
double | gamma
ChromaticityInfo | chromaticity
RenderingIntent | rendering_intent
void * | profiles
ResolutionType | units
char * | montage
char * | directory
char * | geometry
long | offset
double | x_resolution
double | y_resolution
RectangleInfo | page
RectangleInfo | extract_info
RectangleInfo | tile_info
double | bias
double | blur
double | fuzz
FilterTypes | filter
InterlaceType | interlace
EndianType | endian
GravityType | gravity
CompositeOperator | compose
DisposeType | dispose
struct _Image * | clip_mask
unsigned long | scene
unsigned long | delay
long | ticks_per_second
unsigned long | iterations
unsigned long | total_colors
long | start_loop
ErrorInfo | error
TimerInfo | timer
MagickProgressMonitor | progress_monitor
void * | client_data
void * | cache
void * | attributes
Ascii85Info * | ascii85
BlobInfo * | blob
char | filename [MaxTextExtent]
char | magick_filename [MaxTextExtent]
char | magick [MaxTextExtent]
unsigned long | magick_columns
unsigned long | magick_rows
ExceptionInfo | exception
MagickBooleanType | debug
long | reference_count
SemaphoreInfo * | semaphore
ProfileInfo | color_profile
ProfileInfo | iptc_profile
ProfileInfo * | generic_profile
unsigned long | generic_profiles
unsigned long | signature
struct _Image * | previous
struct _Image * | list
struct _Image * | next
InterpolatePixelMethod | interpolate
MagickBooleanType | black_point_compensation
PixelPacket | transparent_color
struct _Image * | mask
RectangleInfo | tile_offset
void * | properties
void * | artifacts

## Field Documentation

ClassType _Image::storage_class

ColorspaceType _Image::colorspace

CompressionType _Image::compression

unsigned long _Image::quality

OrientationType _Image::orientation

MagickBooleanType _Image::taint

MagickBooleanType _Image::matte

unsigned long _Image::columns

unsigned long _Image::rows

unsigned long _Image::depth

unsigned long _Image::colors

PixelPacket* _Image::colormap

PixelPacket _Image::background_color

PixelPacket _Image::border_color

PixelPacket _Image::matte_color

double _Image::gamma

ChromaticityInfo _Image::chromaticity

RenderingIntent _Image::rendering_intent

void* _Image::profiles

ResolutionType _Image::units

char* _Image::montage

char * _Image::directory

char * _Image::geometry

long _Image::offset

double _Image::x_resolution

double _Image::y_resolution

RectangleInfo _Image::page

RectangleInfo _Image::extract_info

RectangleInfo _Image::tile_info

double _Image::bias

double _Image::blur

double _Image::fuzz

FilterTypes _Image::filter

InterlaceType _Image::interlace

EndianType _Image::endian

GravityType _Image::gravity

CompositeOperator _Image::compose

DisposeType _Image::dispose

struct _Image* _Image::clip_mask`[read]`

unsigned long _Image::scene

unsigned long _Image::delay

long _Image::ticks_per_second

unsigned long _Image::iterations

unsigned long _Image::total_colors

long _Image::start_loop

ErrorInfo _Image::error

TimerInfo _Image::timer

MagickProgressMonitor _Image::progress_monitor

void* _Image::client_data

void * _Image::cache

void * _Image::attributes

Ascii85Info* _Image::ascii85

BlobInfo* _Image::blob

char _Image::filename[MaxTextExtent]

char _Image::magick_filename[MaxTextExtent]

char _Image::magick[MaxTextExtent]

unsigned long _Image::magick_columns

unsigned long _Image::magick_rows

ExceptionInfo _Image::exception

MagickBooleanType _Image::debug

long _Image::reference_count

SemaphoreInfo* _Image::semaphore

ProfileInfo _Image::color_profile

ProfileInfo _Image::iptc_profile

ProfileInfo * _Image::generic_profile

unsigned long _Image::generic_profiles

unsigned long _Image::signature

struct _Image* _Image::previous`[read]`

struct _Image * _Image::list`[read]`

struct _Image * _Image::next`[read]`

InterpolatePixelMethod _Image::interpolate

MagickBooleanType _Image::black_point_compensation

PixelPacket _Image::transparent_color

struct _Image* _Image::mask`[read]`

RectangleInfo _Image::tile_offset

void* _Image::properties

void * _Image::artifacts

The documentation for this struct was generated from the following file:

- image.h